import 'package:comunic/ui/routes/single_post_route.dart';
import 'package:comunic/ui/routes/user_page_route.dart';
import 'package:flutter/material.dart';
import 'package:meta/meta.dart';

/// Navigation utilities
///
/// @author Pierre HUBERT

/// Open the page of a user
void openUserPage({@required int userID, @required BuildContext context}) {
  assert(userID != null);
  assert(context != null);

  Navigator.of(context).push(
    MaterialPageRoute(
      builder: (c) => UserPageRoute(
        userID: userID,
      ),
    ),
  );
}

/// Open a post in full screen
void openPostFullScreen(int postID, BuildContext context) {
  Navigator.of(context)
      .push(MaterialPageRoute(builder: (c) => SinglePostRoute(postID: postID)));
}
